%define	modeversion 0.6.0

Name:		gnuplot
Summary:	A program for plotting mathematical expressions and data
Version:	5.0.6
Release:	%mkrel 2
License:	Freeware-like
Group:		Sciences/Other
URL:		http://www.gnuplot.info/
Source0:	http://downloads.sourceforge.net/project/gnuplot/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:	http://cars9.uchicago.edu/~ravel/software/gnuplot-mode/gnuplot-mode.%{modeversion}.tar.xz
Source2:	http://www.gnuplot.info/faq/faq.html
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
Patch0:		gnuplot-4.0.0-emacs-mode--disable-f9.patch
Patch2:		gnuplot-4.6.3-nocrossbuild.patch
Requires:	gnuplot-nox
#-------------------------------------------
BuildRequires: emacs
BuildRequires: emacs-common
BuildRequires: %{_lib}ncurses-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gd-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}lua5.2-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires:	wxgtk-devel
BuildRequires: %{_lib}readline-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: libx11-common
BuildRequires: libstdc++-devel
BuildRequires: python-cython
BuildRequires: python-docutils
BuildRequires: python-pyrex
BuildRequires:  texlive
BuildRequires:	texlive-texmf
#---------------------------------------
Obsoletes:	%name < %version
Requires: %{_lib}wxgtku3.0_0
Requires: wxgtk >= 3.0.1
#---------------------------------------

%description
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

%package	nox
Summary:	A program for plotting mathematical expressions and data
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.4

%description	nox
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides GNUPlot without any X dependency.

%package	mode
Summary:	Yet another Gnuplot mode for Emacs
Group:		Sciences/Other
Conflicts:	gnuplot < 4.4.4

%description	mode
Gnuplot is a major mode for Emacs flavours with the following features:

 - Functions for plotting lines, regions, entire scripts, or entire files
 - Graphical interface to setting command arguments
 - Syntax colorization
 - Completion of common words in Gnuplot
 - Code indentation
 - On-line help using Info for Gnuplot functions and features
 - Interaction with Gnuplot using comint
 - Pull-down menus plus a toolbar in XEmacs
 - Distributed with a quick reference sheet in postscript.

%package	doc
Summary:	GNUPlot Documentation
Group:		Documentation
Conflicts:	gnuplot < 4.4.4

%description	doc
Gnuplot is a command-line driven, interactive function plotting program
especially suited for scientific data representation. Gnuplot can be used to
plot functions and data points in both two and three dimensions and in many
different formats.

Install gnuplot if you need a graphics package for scientific data
representation.

This package provides the additional documentation.

%prep
%setup -q -a 1
%apply_patches

perl -pi -e 's|(^\s*)mkinstalldirs\s|$1./mkinstalldirs |' gnuplot-mode.%{modeversion}/Makefile.in
# Non-free stuff. Ouch. -- Geoff
rm -f demo/prob.dem demo/prob2.dem

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-fast-math"
export CONFIGURE_TOP=..

mkdir build-nox
pushd build-nox
%configure2_5x \
  --datadir=%{_datadir} \
  --with-readline=gnu \
  --with-png \
  --without-linux-vga \
  --without-x \
  --disable-wxwidgets
%make -C src/
#make -C docs/ ps
#%make -C docs/ pdf
popd

mkdir build-x11
pushd build-x11
%configure2_5x \
  --with-readline=gnu \
  --with-png \
  --without-linux-vga
%make
popd

pushd gnuplot-mode.%{modeversion} && {
    ./configure --prefix=/usr
    %make
} && popd

cp -f %SOURCE2 .
chmod 644 faq.html

%install
rm -rf %buildroot
pushd build-nox
%makeinstall_std
%__mv %{buildroot}%{_bindir}/gnuplot %{buildroot}%{_bindir}/gnuplot-nox
popd

pushd build-x11
%makeinstall_std
popd

pushd gnuplot-mode.%{modeversion} && {
    make install prefix=%{buildroot}/usr
    pdflatex gpelcard
    install -d %{buildroot}%{_sysconfdir}/emacs/site-start.d
    install -m 644 dotemacs %{buildroot}%{_sysconfdir}/emacs/site-start.d/%{name}.el
} && popd

# Copy back from build dir to be able to package those files
pushd build-nox
#cp docs/gnuplot.pdf ../docs/
#cp docs/gnuplot.ps ../docs/
#cp docs/gpcard.ps ../docs/
popd

# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Gnuplot
Comment=The famous function plotting program
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=true
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Sciences-Mathematics;Sciences;
EOF

# icon
install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%defattr(-,root,root)
%{_bindir}/gnuplot
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files nox
%defattr(-,root,root)
%{_bindir}/gnuplot-nox
%{_mandir}/*/*
%{_libexecdir}/gnuplot

%files doc
%defattr(-,root,root)
%{_datadir}/gnuplot
%{_datadir}/texmf

%files mode
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{_datadir}/emacs/site-lisp/*

%clean
rm -rf %buildroot

%changelog
* Tue Mar 27 2018 adrianomorselli <adrianomorselli> 5.0.6-2uplos2018
- rebuild against updates
